PluginManager
Keywords: com.artenum.cassandra.plugin.PluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.plugin
Class PluginManager

    java.lang.Object
      javax.swing.AbstractListModel
          com.artenum.cassandra.plugin.PluginManager

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ListCellRenderer, javax.swing.ListModel

    public class PluginManager

extends javax.swing.AbstractListModel
implements javax.swing.ListCellRenderer

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : The PluginManager keeps track of the plugin instances.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`PluginManager()`

Method Summary
`void` | `addPlugin(CassandraPlugin plugin)`
`java.util.Collection` | `getData()`
`java.lang.Object` | `getElementAt(int index)`
`CassandraPlugin` | `getLastPlugin()`
`java.awt.Component` | `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)`
`CassandraPlugin` | `getPlugin(int index)`
`int` | `getSize()`
`void` | `removePlugin(CassandraPlugin plugin)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginManager

    public PluginManager()

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addPlugin

    public void addPlugin(CassandraPlugin plugin)

### removePlugin

    public void removePlugin(CassandraPlugin plugin)

### getPlugin

    public CassandraPlugin getPlugin(int index)

### getLastPlugin

    public CassandraPlugin getLastPlugin()

### getData

    public java.util.Collection getData()

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list,
                                                           java.lang.Object value,
                                                           int index,
                                                           boolean isSelected,
                                                           boolean cellHasFocus)

  Specified by:
    `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com